org.crosswire.common.config.swing

## Class ConfigEditorFactory

- java.lang.Object
- - org.crosswire.common.config.swing.ConfigEditorFactory

-     public final class ConfigEditorFactory
      extends Object

  Allow a swing program to display a Dialog box displaying a set of config options.
  Author:
    Joe Walker
  See Also:
    `The GNU General Public License for details.`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `ConfigEditorFactory.URIActionListener` A quick class to save a config to a uri

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ConfigEditorFactory()` Prevent instantiation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `showDialog(org.crosswire.common.config.Config config, Component parent, ActionListener al)` Create a dialog to house a TreeConfig component using the default set of Fields
    `static void` | `showDialog(org.crosswire.common.config.Config config, Component parent, URI uri)` Create a dialog to house a TreeConfig component using the default set of Fields, with the default accept action of config.localToApplication and config,localToPermanent

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigEditorFactory

          private ConfigEditorFactory()

      Prevent instantiation

  - ### Method Detail

    - #### showDialog

          public static void showDialog(org.crosswire.common.config.Config config,
                        Component parent,
                        ActionListener al)

      Create a dialog to house a TreeConfig component using the default set of Fields
      Parameters:
        `config` - The set of Choices to display
        `parent` - A component to use to find a frame to use as a dialog parent
        `al` - The action when the user clicks on ok or apply

    - #### showDialog

          public static void showDialog(org.crosswire.common.config.Config config,
                        Component parent,
                        URI uri)

      Create a dialog to house a TreeConfig component using the default set of Fields, with the default accept action of config.localToApplication and config,localToPermanent
      Parameters:
        `config` - The set of Choices to display
        `parent` - A component to use to find a frame to use as a dialog parent